Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io.diff
Class SVNRAFileData

    java.lang.Object
      org.tmatesoft.svn.core.io.diff.SVNRAFileData

All Implemented Interfaces:
  ISVNRAData

Deprecated. see `SVNDeltaGenerator`

public class SVNRAFileData
extends Object
implements ISVNRAData

The SVNRAFileData class represents a random access data storage wrapper for files.

Version:
  1.0
Author:
  TMate Software Ltd.

Constructor Summary
`SVNRAFileData(File file, boolean readonly)` Deprecated. Creates a new SVNRAFileData representation.

Method Summary
`void` | `append(InputStream source, long length)` Deprecated. Writes a number of the source bytes to the end of this data storage.
`void` | `close()` Deprecated. Closes this RA data storage and releases any system resources associated with this storage.
`long` | `lastModified()` Deprecated. Returns the time that this data storage was last modified.
`long` | `length()` Deprecated. Returns the length in bytes of this data storage.
`InputStream` | `read(long offset, long length)` Deprecated. Reads a number of bytes from the given position in this data storage.
`InputStream` | `readAll()` Deprecated. Reads the entire contents of this data storage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNRAFileData

    public SVNRAFileData(File file,
                         boolean readonly)

  Deprecated.
  Creates a new SVNRAFileData representation.

Parameters:
  `file` - a file resource
  `readonly` - if true then read-only file access is allowed, if false - full access is allowed

Method Detail

### readAll

    public InputStream readAll()
                        throws SVNException

  Deprecated.
  Description copied from interface: `ISVNRAData`
  Reads the entire contents of this data storage.

  Specified by:
    `readAll` in interface `ISVNRAData`
  Returns:
    an input stream to read the entire contents
  Throws:
    `SVNException`

### read

    public InputStream read(long offset,
                            long length)
                     throws SVNException

  Deprecated.
  Description copied from interface: `ISVNRAData`
  Reads a number of bytes from the given position in this data storage.

  Specified by:
    `read` in interface `ISVNRAData`
  Parameters:
    `offset` - an offset in the storage to read from
    `length` - a number of bytes to read
  Returns:
    an input stream to read the bytes
  Throws:
    `SVNException`

### append

    public void append(InputStream source,
                       long length)
                throws SVNException

  Deprecated.
  Description copied from interface: `ISVNRAData`
  Writes a number of the source bytes to the end of this data storage.

  Specified by:
    `append` in interface `ISVNRAData`
  Parameters:
    `source` - a source input stream to read bytes
    `length` - a number of bytes to read from `source` and append to this data storage
  Throws:
    `SVNException`

### close

    public void close()
               throws IOException

  Deprecated.
  Description copied from interface: `ISVNRAData`
  Closes this RA data storage and releases any system resources associated with this storage. After closing this data storage you can not perform any i/o operations.

  Specified by:
    `close` in interface `ISVNRAData`
  Throws:
    `IOException` - if an i/o error occurred

### length

    public long length()

  Deprecated.
  Description copied from interface: `ISVNRAData`
  Returns the length in bytes of this data storage.

  Specified by:
    `length` in interface `ISVNRAData`
  Returns:
    the length of this storage

### lastModified

    public long lastModified()

  Deprecated.
  Description copied from interface: `ISVNRAData`
  Returns the time that this data storage was last modified.

  Specified by:
    `lastModified` in interface `ISVNRAData`
  Returns:
    A long value representing the time the file was last modified, measured in milliseconds since the epoch (00:00:00 GMT, January 1, 1970), or 0L if the file does not exist or if an I/O error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.